Chuyển đến nội dung
Diễn đàn CADViet
Học AutoCAD Online cùng CADViet

quocmanh04tt

Thành viên
  • Số lượng nội dung

    842
  • Đã tham gia

  • Lần ghé thăm cuối

  • Ngày trúng

    101

Cộng đồng

419 (tốt)

About quocmanh04tt

  • Cấp bậc
    Quocmanh04trungtiet@gmail.com

Thông tin hồ sơ

  • Giới tính
    Male

Khách truy cập Tiểu sử gần đây

7.289 chế độ xem tiểu sử
  1. 1. Của mình tất nhiên là hiện card rời rồi. 2. Bạn đã thực hiện đến phần này chưa: If the desired application is not available in this view, click on the Running Applications option and select Installed Profile Applications to view all applications detected by the graphics driver, as shown in the picture below
  2. Uh, của mình cũng 2 card nhưng NVIDIA thiết lập khác chút, AMD thì bạn theo hướng dẫn này: https://support.amd.com/en-us/kb-articles/Pages/DH-017.aspx
  3. Bạn thử thế này xem: Phím phải vào biểu tượng AutoCad trên Desktop, đi đến dòng > Run with graphics processor...
  4. Có phải thế này không??? (defun c:tt (/ cd ed h0 pt pt0 x0 y y0 tmp v k) (or (and #tyle# (member (type #tyle#) '(REAL INT))) (setq #tyle# 1)) (setq tmp t) (if (and (while (and tmp (not (initget "S")) (setq pt0 (getpoint (strcat "\n[Setting]. Ty le: <" (rtos #tyle# 2 2) ">. Diem tim TN tu nhien!")))) (cond ((eq pt0 "S") (setq #tyle# (cond ((getreal (strcat "\nTy le <" (rtos #tyle# 2 2) ">: "))) (#tyle#))) (setq pt0 nil)) ((listp pt0) (setq tmp nil) t) (t (setq tmp nil)))) (setq ed (car (entsel "\nChon Text cao do tim: "))) (wcmatch (cdr (assoc 0 (entget ed))) "TEXT,MTEXT") (if (wcmatch (setq cd (cdr (assoc 1 (entget ed)))) "%%p*") (setq h0 (distof (substr cd 4))) (setq h0 (distof (cdr (assoc 1 (entget ed)))))) (setq x0 (car pt0) y0 (cadr pt0))) (while (and (setq pt (getpoint "\nChon diem chuan : ")) (setq ed (car (entsel "\nChon text de chinh sua: "))) (wcmatch (cdr (assoc 0 (setq ed (entget ed)))) "TEXT,MTEXT")) (setq y (+ (* (- (cadr pt) y0) #tyle#) h0) k (rtos y 2 2) v (cond ((> y 0) (strcat "+" k)) ((< y 0) k) (t "%%p0.00"))) (entmod (append (subst (cons 1 v) (assoc 1 ed) ed) '((62 . 1)))))) (princ))
  5. Do mình không quan tâm đến nội dung, mà dựa theo kết quả của lisp ban đầu. Mình chỉ sửa phần chủ thớt và bạn yêu cầu ở trên... Bạn muốn kết quả sau khi dùng lisp thế nào?
  6. Khi gọi lệnh, đầu tiên có 2 lựa chọn: 1 là pick điểm để lấy cao độ TN, hoặc gõ S -> Entter để đặt lại tỷ lệ (Nhớ xem dòng nhắc ở command...!)
  7. *** Chỉ cần thế này thôi (thằng gốc có 62 hay không, không quan trọng): (entmod (append (entget ent) '((62 . 1)))) *** Mình sửa lại Lisp trên (Công thêm yêu cầu của Chien_LV): (defun c:tt (/ cd ed h0 pt pt0 x0 y y0 tmp v) (or #tyle# (setq #tyle# 1)) (setq tmp t) (if (and (while (and tmp (not (initget "S")) (setq pt0 (getpoint (strcat "\n[Setting]. Ty le: <" (rtos #tyle# 2 2) ">. Diem tim TN tu nhien!")))) (cond ((eq pt0 "S") (setq #tyle# (cond ((getreal (strcat "\nTy le <" (rtos #tyle# 2 2) ">: "))) (#tyle#))) (setq pt0 nil)) ((listp pt0) (setq tmp nil) t) (t (setq tmp nil)))) (setq ed (car (entsel "\nChon Text cao do tim: "))) (wcmatch (cdr (assoc 0 (entget ed))) "TEXT,MTEXT") (if (wcmatch (setq cd (cdr (assoc 1 (entget ed)))) "%%p*") (setq h0 (distof (substr cd 4))) (setq h0 (distof (cdr (assoc 1 (entget ed)))))) (setq x0 (car pt0) y0 (cadr pt0))) (while (and (setq pt (getpoint "\nChon diem chuan : ")) (setq ed (car (entsel "\nChon text de chinh sua: "))) (wcmatch (cdr (assoc 0 (setq ed (entget ed)))) "TEXT,MTEXT")) (setq y (- (cadr pt) y0 (- h0)) v (cond ((> y 0) (strcat "+" (rtos (* y #tyle#) 2 2))) ((< y 0) (rtos (* y #tyle#) 2 2)) (t "%%p0.00"))) (entmod (append (subst (cons 1 v) (assoc 1 ed) ed) '((62 . 1)))))) (princ))
  8. vấn đề về lệnh tắt trong cad

    Dùng cái này xem sao (lệnh SNB) - Có thể thêm, bớt, chỉnh sửa dữ liệu trực tiếp trên Dialog. Chức năng tìm kiếm có thể dùng tiếng việt có dấu. - Re-back (khôi phục dữ liệu trước lần sửa cuối cùng - Gần giống khôi phục từ file .bak của .dwg) - Ngoài việc ghi chú tên lệnh, có thể ghi chú lịch làm việc, nhật ký....vv... https://drive.google.com/file/d/1j13Pvt2HDr51JrSycjqG5S4a-V7m2nou/view?usp=sharing
  9. Nhờ viết lisp tra kinh tuyến các Tỉnh

    Mình tham gia 1 cái, chỉ cần gọi lệnh (KTT) lên và lăn chuột là tra, OK là xuất ra TEXT. (bao gồm VN2000 và HN72) https://drive.google.com/file/d/1F-pxzcygtuyM2q2nq_G9nDL662e8Wzub/view?usp=sharing HH:
  10. vấn đề về lệnh tắt trong cad

    Chắc là muốn như vầy: (defun c:lc (/ LM:ListBox str lstData ST:SendKeys) (defun c:Xformat nil (alert "B\U+1EA1n có ch\U+1EAFc là XÓA S\U+1EA0CH \U+1ED5 c\U+1EE9ng không?") (princ)) (setq lstData (acad_strlsort (list ;Viet tiep cac lenh vao duoi dong nay theo mau "Ten lenh Noi dung" "Erase \tXoa doi tuong" "Copy \tSao chep doi tuong" "Mirror \tLay doi xung" "CO \tCopy th\U+00F4ng minh" "XFormat \tXóa s\U+1EA1ch \U+1ED5 c\U+1EE9ng, d\U+1EADp tan màn h\U+00ECnh..."))) (defun ST:SendKeys (keys / ws) (vlax-invoke-method (setq ws (vlax-create-object "WScript.Shell")) 'sendkeys keys) (vlax-release-object ws) (princ)) (defun LM:ListBox (title data multiple / file tmp dch return) (cond ((not (and (setq file (open (setq tmp (vl-filename-mktemp nil nil ".dcl")) "w")) (write-line (strcat "listbox : dialog { label = \"" title "\"; spacer; : list_box { key = \"list\"; multiple_select = " (if multiple "true" "false") "; width = 100; height= 30; tabs = \"10 20 30\"; } spacer; ok_cancel;}") file) (not (close file)) (< 0 (setq dch (load_dialog tmp))) (new_dialog "listbox" dch)))) (t (start_list "list") (mapcar 'add_list data) (end_list) (setq return (set_tile "list" "0")) (action_tile "list" "(setq return $value)") (setq return (if (= 1 (start_dialog)) (mapcar '(lambda (x) (nth x data)) (read (strcat "(" return ")"))))))) (if (< 0 dch) (unload_dialog dch)) (if (setq tmp (findfile tmp)) (vl-file-delete tmp)) return) (cond ((setq str (LM:ListBox "Ghi ch\U+00FA l\U+1EC7nh - lisp CAD - @ketxu - 2/6/2012 :" lstData nil)) (setq str (car str)) (ST:SendKeys (strcat (substr str 1 (vl-string-position 32 str)) "\n")))) (princ))
  11. Hàm Nentsel

    Mình đoán ý bạn là: Bắn 1 phát là ôm luôn cả trâu lẫn nghé?
  12. Remove string tiếng Nhật

    Thử chạy bằng LISP coi sao! ((lambda (/ name new_filename) (defun new_filename (filename / LM:str->lst lst) (defun LM:str->lst (str del / pos) (if (setq pos (vl-string-search del str)) (cons (substr str 1 pos) (LM:str->lst (substr str (+ pos 1 (strlen del))) del)) (list str))) (setq lst (vl-remove-if '(lambda (x) (vl-string-search (chr 63) x)) (LM:str->lst filename (chr 95)))) (strcat (car lst) (apply 'strcat (mapcar '(lambda (x) (strcat (chr 95) x)) (cdr lst))))) (vlax-for f (vlax-get (vlax-invoke-method (vlax-create-object "Scripting.FilesystemObject") 'GetFolder "D:\\TEMP") 'Files) (if (and (vl-string-search (chr 63) (setq name (vlax-get f 'name))) (eq (strcase (vl-filename-extension name)) ".DWG")) (vlax-put f 'name (new_filename name)))))) P/s: + Nếu thêm Browse Folder thì "Pờ - rồ" hơn, nhằm thay thế "D:\\TEMP". + Chưa bắt, bẫy lỗi trùng tên file sau khi rename...
  13. Remove string tiếng Nhật

    Tạm thế này rồi có thể dựa vào đó nghiên cứu tiếp: (vl-list->string (vl-remove 63 (vl-string->list (car (vl-directory-files "C:\\TEMP" "*.dwg" 1)))))
  14. Lisp sửa giá trị của dim

    Của bạn đây: (defun c:cdt (/ els ent poi) ((lambda (i / str) (while (and (setq ent (car (nentsel "\nChon DIMTEXT: "))) (eq (cdr (assoc 0 (setq els (entget ent)))) "MTEXT") (setq poi (getpoint "\nPick diem dat Mtext: " (trans (cdr (assoc 10 els)) 0 1)))) (setq str (strcat (itoa (setq i (1+ i))) "-" (cdr (assoc 1 els))) els (subst (cons 1 str) (assoc 1 els) els)) (entmake (subst (cons 10 (trans poi 1 0)) (assoc 10 els) els)))) 0) (princ)) Hay là cái này: (defun c:cdt (/ dim els ent poi) ((lambda (i / str) (while (and (setq dim (entsel "\nChon DIMTEXT: ")) (setq ent (car (nentselp (cadr dim)))) (eq (cdr (assoc 0 (setq els (entget ent)))) "MTEXT") (setq poi (getpoint "\nPick diem dat Mtext: " (trans (cdr (assoc 10 els)) 0 1)))) (setq str (strcat (itoa (setq i (1+ i))) "-" (cdr (assoc 1 els)))) (entmod (subst (cons 1 str) (assoc 1 (entget (car dim))) (entget (car dim)))) (entmake (subst (cons 10 (trans poi 1 0)) (assoc 10 els) els)))) 0) (princ))
  15. [Help] Lisp Trích Xuất Giá Trị Trong Dimension Ra Mtext

    UCS bất kỳ đây: (defun c:cdt (/ els ent poi) (while (and (setq ent (car (nentsel "\nChon DIMTEXT: "))) (eq (cdr (assoc 0 (setq els (entget ent)))) "MTEXT") (Setq poi (getpoint "\nPick diem dat Mtext: " (trans (cdr (assoc 10 els)) 0 1)))) (entmake (subst (cons 10 (trans poi 1 0)) (assoc 10 els) els))) (princ))
×